/***************************************************************************

	ticker.c

    Get current ticks

***************************************************************************/

#include "psp.h"


/***************************************************************************
	Global variables
 ***************************************************************************/

TICKER TICKS_PER_SEC;


/*--------------------------------------------------------
	Get current ticks
 -------------------------------------------------------*/

void init_ticker(void)
{
	TICKS_PER_SEC = (u64)sceRtcGetTickResolution();
}


/*--------------------------------------------------------
	Get current ticks
 -------------------------------------------------------*/

TICKER ticker(void)
{
	u64 current_ticks;

	sceRtcGetCurrentTick(&current_ticks);
	return current_ticks;
}
